Show / Hide Table of Contents

# Enum DefaultMessageNotifications

Specifies the default message notification behavior the guild uses.

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public enum DefaultMessageNotifications

### Fields

Name | Description
--- | ---
AllMessages | By default, all messages will trigger notifications.
MentionsOnly | By default, only mentions will trigger notifications.

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()